%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	A picture viewer for the Xfce desktop environment
Name:		ristretto
Version:	0.6.3
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphics/Viewers
URL:		http://goodies.xfce.org/projects/applications/ristretto
Source0:	http://archive.xfce.org/src/apps/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(libxfce4util-1.0) >= 4.8.0
BuildRequires:	pkgconfig(libxfce4ui-1) >= 4.8.0
BuildRequires:	pkgconfig(exo-1)
Requires:	xfconf
Requires:	tumbler

%description
Ristretto is a fast and lightweight picture-viewer for the
Xfce desktop environment.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS README ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/*.svg


%changelog

* Thu Jan 24 2013 fwang <fwang> 0.6.3-2.mga3
+ Revision: 391902
- update rpm group
- update rpm group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 06 2012 wally <wally> 0.6.3-1.mga3
+ Revision: 279194
- new version 0.6.3

* Tue Jul 31 2012 shlomif <shlomif> 0.6.2-1.mga3
+ Revision: 276758
- New version 0.6.2 - thanks to fedya

* Thu May 31 2012 wally <wally> 0.6.0-2.mga3
+ Revision: 252507
- fix segfault when image-quality property is changed (patch from upstream git)

* Mon May 28 2012 wally <wally> 0.6.0-1.mga3
+ Revision: 248513
- new version 0.6.0
- clean .spec

* Sun Mar 04 2012 wally <wally> 0.3.5-2.mga2
+ Revision: 217863
- require tumbler to get working thumbnails view

* Sat Mar 03 2012 wally <wally> 0.3.5-1.mga2
+ Revision: 217355
- new version 0.3.5

* Sat Mar 03 2012 fwang <fwang> 0.3.4-1.mga2
+ Revision: 217168
- new version 0.3.4

* Sat Jan 14 2012 wally <wally> 0.3.1-1.mga2
+ Revision: 196000
- new version 0.3.1

* Sun Nov 06 2011 wally <wally> 0.3.0-1.mga2
+ Revision: 164487
- new version 0.3.0
- clean BRs and use pkgconfig() if possible
- remove buildroot definition

* Wed Jul 06 2011 dams <dams> 0.0.93-1.mga2
+ Revision: 119412
- Update to 0.0.93

* Wed Mar 16 2011 steletch <steletch> 0.0.91-3.mga1
+ Revision: 72845
- Clean spec file

  + ennael <ennael>
    - imported package ristretto

